# Fecha y Hora del Sistema
Get-Date | Out-File -FilePath "FechaHora.txt"

# Procesos Activos
Get-Process | Out-File -FilePath "ProcesosActivos.txt"

# Conexiones de Red y Puertos (TCP/UDP)
netstat -ano | Out-File -FilePath "ConexionesRed.txt"

# Usuarios Conectados Localmente
# Nota: En Windows 7, 'query user' puede no estar disponible en todas las versiones
# Si el comando falla, puedes comentar la siguiente línea o buscar una alternativa.
& query user | Out-File -FilePath "UsuariosLocales.txt"

# Usuarios Conectados Remotamente
# Este comando puede no devolver resultados en algunas configuraciones de Windows 7
Get-WmiObject Win32_LogonSession | Where-Object { $_.LogonType -eq 10 } | Out-File -FilePath "UsuariosRemotos.txt"